using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;

namespace id.Quake.Files {
	public partial class Level {

		#region Properties

		private EntityList entities;
		/// <summary>Gets the entities for the level.</summary>
		public EntityList Entities {
			get { return this.entities; }
		}

		#endregion

		[TypeConverter(typeof(ExpandableObjectConverter))]
		public class EntityList  : IText {
			private string text;
			public string Text { get { return this.text; } }

			public EntityList(string text) {
				this.text = text;
			}

			public override string ToString() {
				return this.Text;
			}

		}

	}
}
