using System;
using System.IO;

namespace id.Quake.Files {

	[AttributeUsage(AttributeTargets.Class, AllowMultiple = true)]
	public class SupportedExtension : Attribute {
		private string extension;
		/// <summary>Gets the extensions associated with this supported extension.</summary>
		public string Extension {
			get { return this.extension; }
		}

		public SupportedExtension(string extension) {
			this.extension = extension;
		}
		
	}
}
