using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Drawing.Imaging;
using System.Runtime.InteropServices;
using System.IO;

namespace Ranger {
	public partial class TextPreviewer : Form {
		public TextPreviewer(string title, string text) {
			InitializeComponent();
			this.Text = title;
			this.TextPreview.Text = string.Join(Environment.NewLine, text.Split('\n'));
			
		}

		private void TextPreviewer_Load(object sender, EventArgs e) {
			this.TextPreview.SelectionStart = 0;
			this.TextPreview.SelectionLength = 0;
		}
	}
}